Hello, when you made an update customer TeamSpeak AC would be nice if he were forced to do the update because I saw some people with older version ca TeamSpeak Client would be really good as he is forced to do the setting a customer update if and when he refuses to do it can not use teamSpeak 3 as ca ca allows that it uses the latest version teamSpeak Client's just an opinion goodbye